Skip to content
Start here

Revoke application tokens

zero_trust.access.applications.revoke_tokens(AppIDapp_id, ApplicationRevokeTokensParams**kwargs) -> object
POST/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}/revoke_tokens

Revokes all tokens issued for an application.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: Apps and Policies RevokeAccess: Apps and Policies Write
ParametersExpand Collapse
app_id: AppID

Identifier.

maxLength32
account_id: Optional[str]

The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

zone_id: Optional[str]

The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

ReturnsExpand Collapse
object

Revoke application tokens

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.zero_trust.access.applications.revoke_tokens(
    app_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="account_id",
)
print(response)
{
  "result": {},
  "success": true
}
Returns Examples
{
  "result": {},
  "success": true
}